```js
/**
 * Creates an instance of the JotUrl SDK.
 *
 * @param _username the username used to login into JotURL dashboard
 * @param _public_key public api key, you can find it on https://www.joturl.com/reserved/settings.html#tools-api
 * @param _private_key private api key, you can find it on https://www.joturl.com/reserved/settings.html#tools-api
 * @param base_url the base URL to be use to call API endpoints, defaults to https://joturl.com/a/i1/
 *
 * @returns {JotUrlSDK}
 */
require('JotUrlSDK')(_username, _public_key, _private_key, base_url);

/**
 * Call and get results from the API endpoint.
 *
 * @param endpoint API endpoint to be called
 * @param parameters [OPTIONAL] parameters to be passed to the call
 * @param postParameters [OPTIONAL] post parameters to be passed to the call
 *
 * @returns {Promise}
 */
function call(endpoint, parameters = {}, postParameters = {});
```